<template>
    <div>
        <div class="row">
            <div v-for="(bee, key) in bees" :key="key" class="col-xs-2 mb-2 mr-2" :class="{'hit-bee': bee.hit, 'died': bee.hp === 0 || gameOver}">
                <p> {{bee.type}} </p>
                {{ bee.hp}} hp
            </div>
        </div>
    </div>
</template>

<script>
    export default {
        name: "Bees",
        props: {
            bees: {
                type: Array,
                default: () => { return [
                    {
                        id: Number,
                        type: '',
                        hp: Number,
                        damage: Number,
                        hit: false,
                        died: false

                    }
                ]},
                required: true
            },
            classList: {
                type: String,
                default: ''
            },
            gameOver: {
              type: Boolean,
              default: false
            }
        }
    }
</script>

<style scoped>
    .hit-bee {
        display: inline;
        animation: background-fade 1s forwards;
    }

    .died {
        background-color: red;
        color: #fff;
    }

    @keyframes background-fade {
        99.9% {
            background: yellow;
        }
        100% {
            background:#fff;
        }
    }
    .row {
        display: flex;
        flex-wrap: wrap;
        justify-content: center;
    }

    .col-xs-12 {
        width: 100%;
    }

    .col-xs-2 {
        width: 16%;
        border: 1px solid #000;
        padding: 20px;
    }
</style>
